> For the complete documentation index, see [llms.txt](https://docs.postgresql.tw/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.postgresql.tw/15/internals/system-catalogs/pg_foreign_table.md).

# 53.25. pg\_foreign\_table

## 53.25. pg\_foreign\_table

The catalog `pg_foreign_table` contains auxiliary information about foreign tables. A foreign table is primarily represented by a [`pg_class`](/15/internals/system-catalogs/pg_class.md) entry, just like a regular table. Its `pg_foreign_table` entry contains the information that is pertinent only to foreign tables and not any other kind of relation.

**Table 53.25. `pg_foreign_table` Columns**

| <p>Column Type</p><p>Description</p>                                                                                                                                                                                                                                                       |
| ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| <p><code>ftrelid</code> <code>oid</code> (references <a href="/15/internals/system-catalogs/pg_class.md"><code>pg\_class</code></a>.<code>oid</code>)</p><p>The OID of the <a href="/15/internals/system-catalogs/pg_class.md"><code>pg\_class</code></a> entry for this foreign table</p> |
| <p><code>ftserver</code> <code>oid</code> (references <a href="/15/internals/system-catalogs/pg_foreign_server.md"><code>pg\_foreign\_server</code></a>.<code>oid</code>)</p><p>OID of the foreign server for this foreign table</p>                                                       |
| <p><code>ftoptions</code> <code>text\[]</code></p><p>Foreign table options, as “keyword=value” strings</p>                                                                                                                                                                                 |

***

原文：[PostgreSQL 15.19 Documentation](/15/internals/system-catalogs/pg_foreign_table.md)（英文原文，待翻譯）


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.postgresql.tw/15/internals/system-catalogs/pg_foreign_table.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
